# pnmindex

Updated: 14 November 2015
Table Of Contents

## NAME

pnmindex - build a visual index of a bunch of PNM images

## SYNOPSIS

pnmindex [-size=N] [-across=N] [-colors=N] [-black] [-title=title] [-quant|-noquant] pnmfile ...

You can use the minimum unique abbreviation of the options. You can use two hyphens instead of one. You can separate an option name from its value with white space instead of an equals sign.

## DESCRIPTION

This program is part of Netpbm. pnmindex creates an index image containing thumbnail (small) versions of a bunch of PNM files you supply. (Akin to a photographic "contact sheet."

pnmindex labels each thumbnail and, optionally, contains a title.

If you just want to concatenate some images together in a grid, use pamundice for that.

If you want to take apart the image you generated with pnmindex, use pamdice or pamcut.

The program can generate large temporary files. By default, these go in directory /tmp, but you can usse the TMPDIR environment variable to have them somewhere else.

## OPTIONS

-size=N
  The size of each thumbnail. The image is scaled to fit maximally inside a N x N pixel box without changing its aspect ratio. Default is 100.
-across=N
  The number of thumbnails in each row. Default is 6.
-colors=N
  The maximum number of colors allowed in the overall image. If it would otherwise have more colors than these, pnmindex quantizes the result. The default is 256.

  However, this value is meaningless if you specify the -noquant option.

-black
  This controls the color of the padding between the images; normally it's white and the labels are black lettering on white background, but the -black option reverses this.
-title=title
  Specifies a title top place at the top of the image. Default is no title.
-quant
  Enables quantization (to the number of colors specified by -colors). Quantization is on by default but you can disable it with -noquant.
-noquant
  See -quant.

## SEE ALSO

pamscale, pnmcat, pbmtext, pnmquant, pamcut, pamdice, pamundice, pnmtile, pnm

## AUTHOR

Copyright (C) 1991 by Jef Poskanzer.

-title and -noquant added 2000 by John Heidemann.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR